## mdadm-2.5.6.tar.bz2

=== debian/patches/Makefile ===
.PHONY: 00list
00list:
	find -maxdepth 1 -type f -name \*.dpatch -print \
		| sed -re 's,^\./(.*)\.dpatch$$,\1,' | sort -n > $@
