=== debian/changelog ===
mdadm (2.5.6-9) unstable; urgency=low

  * Updated debconf translations:
    - Portuguese by Rui Branco (closes: #411745).
    - Galician by Jacobo Tarrio (closes: #412203).

 -- martin f. krafft <madduck@debian.org>  Sat, 24 Feb 2007 16:44:04 +0100

mdadm (2.5.6-8) unstable; urgency=low

  * Hard-code path to /sbin/mdadm binary rather than searching the $PATH. This
    closes: #403307 and should be a little more robust in the presence of
    installations of mdadm in /usr/local.
  * Made the bugscript a little more failure-resilient.
  * Added more documentation.

 -- martin f. krafft <madduck@debian.org>  Mon,  8 Jan 2007 02:04:25 +0100

mdadm (2.5.6-7) unstable; urgency=low

  * Only parse ARRAY lines from configuration file when collecting the array
    pairs. Thanks to Daniel Dehennin for the bug report and suggested fix
    (closes: #402106).
  * Prevent modules from being loaded during initramfs time if no arrays are
    to be assembled at this stage.
  * Export DAEMON_OPTIONS to /etc/default/mdadm, which gets passed to the
    mdadm daemon on startup from the init.d script. The value is set to
    -y/--syslog by default, and will get incorporated into debconf in a future
    version; thanks for the idea by Alex Owen (closes: #401696).
  * Incorporate patch by upstream to fix handling of --syslog long option
    (closes: #402457).
  * Added logcheck filters for new syslog entries by mdadm monitoring daemon.
  * Added Spanish debconf translation by Javier Fernández-Sanguino
    (closes: #402681).

 -- martin f. krafft <madduck@debian.org>  Tue, 12 Dec 2006 11:49:52 +0100

mdadm (2.5.6-6) unstable; urgency=medium

  * Fixed a typo in the debconf control script which would cause failures with
    a dash shell; thanks to Santiago Garcia Mantinan for reporting this, and
    Andreas Metzeler for providing a solution (closes: #399315).

 -- martin f. krafft <madduck@debian.org>  Mon, 20 Nov 2006 15:02:34 +0800

mdadm (2.5.6-5) unstable; urgency=low

  * Prevent initramfs hook from exiting prematurely when VERBOSE=false.
  * Moved debconf question about arrays to start by initramfs to high
    priority.

 -- martin f. krafft <madduck@debian.org>  Mon, 13 Nov 2006 11:24:21 +0100

mdadm (2.5.6-4) unstable; urgency=low

  * Actually remove mdadm.conf on purge; previously, the generation of
    a temporary file for initramfs would screw up the purging; thanks to
    Fabrice Lorrain for the report (closes: #398088).

 -- martin f. krafft <madduck@debian.org>  Sat, 11 Nov 2006 20:07:55 +0100

mdadm (2.5.6-3) unstable; urgency=low

  * Fix a syntax error in mdadm-raid script.

 -- martin f. krafft <madduck@debian.org>  Thu,  9 Nov 2006 15:47:51 +0100

mdadm (2.5.6-2) unstable; urgency=low

  * Small fixes to mkconf, now returns 255 instead of -1.
  * Added /usr/share/mdadm/startall, a helper script to facilitate starting
    all arrays when booting from rescue/live media. It overrides AUTOSTART in
    /etc/default/mdadm and starts arrays even if the variable is set to
    a false value.

 -- martin f. krafft <madduck@debian.org>  Thu,  9 Nov 2006 14:44:35 +0100

mdadm (2.5.6-1) unstable; urgency=low

  * New upstream release:
    - added note to mdadm(8)/--metadata about overriding the default in
      mdadm.conf (closes: #396914).
    - fixed problems that could cause infinite loop with auto assemble. Thanks
      to Dan Pascu for pointing this out (closes: #396582).
    - fixed problems with bitmap file names lost after reading from
      configuration file.
  * Merged patch by Dan Pascu to nicely handle situations where a degraded
    array only has one drive left nicely by the mdadm-raid script.
  * Updated Japanese debconf translation; thanks to Hideki Yamane
    (closes: #396400).

 -- martin f. krafft <madduck@debian.org>  Thu,  9 Nov 2006 00:47:45 +0100

mdadm (2.5.5-1) unstable; urgency=low

  * New upstream release:
    - fixes the build problems on several architectures (closes: #393314) by
      including the contents of linux/blkpg.h literally, not via #include.
    - optimises bitmap file use on 64bit systems.
    - does not error out anymore when trying to assemble an already assembled
      array without a corresponding /dev device node.
    - does not report an error if --assemble --scan only finds already running
      arrays.
    - fixes several bugs related to RAID10 and the new offset layout.
    - improves error message when a wrong '--update' option is given.
  * Added FAQ entries about partitionable arrays.
  * chroot detection now also works for 2.6.18 and beyond (c.f. kernel commit
    778c1144771f0064b6f51bee865cceb0d996f2f9).
  * Now recommends module-init-tools.
  * Hides ugly errors during configuration in the absense of module-init-tools
    or initramfs-tools.
  * Send udev events for arrays assembled by the mdadm-raid init.d script.
    This does not close #394193 but it's a good addition anyway. I am not
    sending these events from the initramfs as well because it would be
    non-trivial to ensure that an event doesn't get sent twice for a given
    array.
    Anyway, this is all a hack until the kernel sends online/offline events to
    udev. See #394193.
  * Added more RAID10 information to the FAQ.
  * Added filters to logcheck for regular events, even by the md driver; also
    promoted messages about non-fresh components to security events.
  * Hide informational messages unless VERBOSE is set to a true value in
    /etc/default/mdadm.

 -- martin f. krafft <madduck@debian.org>  Thu, 26 Oct 2006 22:35:24 +0200

mdadm (2.5.4-1) unstable; urgency=low

  * New upstream release:
    - --examine now reports chunk size also for RAID6 and RAID10
    - fix endianness issues with v1 superblocks (closes: #385726) and bitmap
      metadata.
    - improved message when mdadm detects similar superblocks
      (closes: #385951).
    - documents that the automatic update of the super-minor field in the

