=== debian/control ===
Source: mdadm
Section: admin
Priority: optional
Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Uploaders: martin f. krafft <madduck@debian.org>, Mario Joussen <joussen@debian.org>
Build-Depends: debhelper (>= 5), po-debconf, dpatch, groff-base
Standards-Version: 3.7.2
XS-Vcs-Svn: svn://svn.debian.org/pkg-mdadm/mdadm/trunk

Package: mdadm
Architecture: any
Depends: ${shlibs:Depends}, makedev, ${misc:Depends}, lsb-base (>= 3.1-6), debconf (>= 1.4.72)
Recommends: mail-transport-agent, module-init-tools
Replaces: mdctl
Conflicts: mdctl (<< 0.7.2), raidtools2 (<< 1.00.3-12.1), initramfs-tools (<< 0.65)
Description: tool to administer Linux MD arrays (software RAID)
 mdadm is a program that can be used to create, manage, and monitor MD
 arrays (e.g. software RAID, multipath devices).
 .
 This package automatically configures mdadm to assemble arrays during the
 system startup process. If not needed, this functionally can be disabled.

Package: mdadm-udeb
Section: debian-installer
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: tool to administer Linux MD arrays (software RAID)
 mdadm is a program that can be used to create, manage, and monitor MD
 arrays (e.g. software RAID, multipath devices).
 .
 mdadm-udeb is a minimal package used by the debian-installer.
