=== debian/watch ===
version=3
http://www.cse.unsw.edu.au/~neilb/source/mdadm/mdadm-([.[:digit:]]+).tgz

# $Id: watch 89 2006-08-08 09:33:05Z madduck $
